%undefine __libtoolize
%define objprelink 0

Name: kavi2svcd
Version: 0.8
Release: alt1
Summary: Creater Video CDs from avi-files
License: GPL
Group: Video
URL: http://www.cornelinux.de/linux/kavi2svcd/index-english.html
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version.tar.bz2
Source1: %name.xpm

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ hostinfo
BuildRequires: kde-settings kdegames-libs kdelibs-devel libGLU libGLwrapper
BuildRequires: libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libxslt qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Creater Video CDs from avi-files

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

#create menu
mkdir -p %buildroot%_iconsdir
mkdir -p  %buildroot%_menudir
cp %SOURCE1 %buildroot%_iconsdir/%name.xpm

(cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Kavi2svcd" \
longtitle="Creater Video CDs from avi-files" \
needs="x11" \
icon="%name.xpm" \
section="Multimedia/Video"
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang 
%doc README
%dir %_datadir/doc/HTML/en/%name
%_datadir/doc/HTML/en/%name/*
%_bindir/*
%_menudir/%name
%_iconsdir/*.xpm

%changelog
* Wed Oct 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8
- new buildrequires and rebuilding in hasher

* Tue Jul 15 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Wed Jan 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4
- new requires and buildrequires

* Wed Nov 20 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt1
- 0.5.1

- specfile cleanup
